Subject: Re: bug#45822: Guix cannot update again and again

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Tue, 12 Jan 2021 20:39:16 +0100

znavko--- via Bug reports for GNU Guix <[email-masked]> writes:

> Hello! I make update under root normally.
> But normal user cannot finish updates for several times during these 3 weeks.
> Sometimes process stops on downloading one file,sometimes another.
> I can remember when I had bad connection I restarted updates again and again and finally got my profile updated.
> Is it a problem with my network or Guix servers, or guix code?
>
> $ guix pull && guix package -u
> ...
> building /gnu/store/7ingg9zn1jv0gy4lv93bj4xl1rg12s4p-gvfs-1.40.1.drv...
> building /gnu/store/96wkbqpdv3b5wppma08x4xi8ps7ql82n-audacity-2.4.2.drv...
> building /gnu/store/xlvl0iymrcgnl9ng8vp53ibc0rmzl4qw-pcmanfm-1.3.1.drv...
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TLS error in procedure 'read_from_session_record_port': Error in the pull function.
> guix package: error: unexpected end-of-file

This example is in guix pull, it looks like either a network error or an
error in your local encryption stack.

If other examples are in guix package -u, you can add -k (--keep), then
previous good builds will be kept and won’t have to be rebuilt on the
next try.

However I have been in configurations that for some reasons did not
work. This helped me out of that:

guix pull && guix package -I | cut -f 1,3 | sed 's/\t/:/' | xargs guix install -k

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken